function distance = simulation_prMC (R, T)
% La fonction 'simulation_prMC' effectue le même travail que 'simulation', à ceci près qu'au lieu de plotter la trajectoire de X à la fin de la simulation, elle retourne la distance 'distance' parcourue à vol d'oiseau. En outre, pour améliorer l'efficacité lors de la boucle de Monte-Carlo, ce n'est pas la matrice C que la fonction 'simulation_prMC' prend comme argument, mais directement sa matrice de Cholesky 'R'.
N = 1600;
dt = T / N;
X = zeros(2,N+1);
Y = zeros(2,N+1);
X(:,1) = [0;0];
Y(:,1) = [0;0];
for i = 1:N
    X(:,i+1) = X(:,i) + Y(:,i) * dt;
    Y(:,i+1) = Y(:,i) + R' * randn(2,1) * sqrt(dt);
end
return
end
